{# Navigation bar #}

{% set isConnected = app.user != null %}

{% trans_default_domain 'Common' %}

<ul>
    {% if isConnected == false %}
        <li>
            <a href="{{ path("homepage") }}">
                <img src="{{ asset('img/menu/home.gif') }}" alt="home button"/>
                {{ 'navbar.home' | trans }}
            </a>
        </li>
    {% else %}
        {% set isInGame = app.user.lord != null %}

        {% if isInGame == false %}
            <li>
                <a href="{{ path("serverSelection") }}">
                    <img src="{{ asset('img/menu/map.gif') }}" alt="Choose world button" />
                    {{ 'navbar.chooseWorld' | trans }}
                </a>
            </li>
        {% else %}
            {% if app.user.lord.isAlive %}
                {% set lordId = app.user.lord.id %}
                {% set worldId = app.user.lord.worldMap.id %}
                <li>
                    <a href="{{ path("app_management_management", {id: lordId}) }}">
                        <img src="{{ asset('img/menu/home.gif') }}" alt="Profile button" />
                        {{ 'navbar.managament' | trans }}
                    </a>
                </li>
                <li>
                    <a href="{{ path("app_map_map", {worldId: worldId }) }}">
                        <img src="{{ asset('img/menu/map.gif') }}" alt="Map button" />
                        {{ 'navbar.worldmap' | trans }}
                    </a>
                </li>
                <li>
                    <a href="{{ path("app_city_city") }}" class="active">
                        <img src="{{ asset('img/menu/capital.gif') }}" alt="City button" />
                        {{ 'navbar.city' | trans }}
                    </a>
                </li>
            {% else %}
                <li>
                    <a href="{{ path("death") }}" class="active">
                        <img src="{{ asset('img/menu/map.gif') }}" alt="GameOver button" />
                        {{ 'navbar.gameOver' | trans }}
                    </a>
                </li>
            {% endif %}
        {% endif %}
    {% endif %}
    <li>
        <a href="{{ path("app_default_news") }}">
            <img src="{{ asset('img/menu/news.gif') }}" alt="Help button" />
            {{ 'navbar.news' | trans }}
        </a>
    </li>
    <li>
        <a href="{{ path("app_help_help") }}">
            <img src="{{ asset('img/menu/help.gif') }}" alt="Help button" />
            {{ 'navbar.help' | trans }}
        </a>
    </li>
    <li>
        <a href="https://eternal-twin.net/forum/sections/407e8a9e-8c5a-4177-b13c-9a7d746c7d24">
            <img src="{{ asset('img/menu/forum.gif') }}" alt="Forum button" />
            {{ 'navbar.forum' | trans }}
        </a>
    </li>
    <li>
    {% if isConnected %}
        <a href="{{ logout_url() }}">
            <img src="{{ asset('img/menu/logout.png') }}" alt="Logout button" />
            {{ 'navbar.logout' | trans }}
        </a>
    {% else %}
        <a href="{{ oauth_service.getAuthorizationUri('base', app.request.uri) }}">
            <img src="{{ asset('img/menu/login.png') }}" alt="Login button" />
            {{ 'navbar.login' | trans }}
        </a>
    {% endif %}
    </li>
</ul>